com.mapinfo.midev.feature

## Interface IFeatureCollectionIterator

All Superinterfaces:
  Iterator

    public interface IFeatureCollectionIterator
    extends Iterator

An iterator over `IFeatureCollection` instances contained within an `IMultiFeatureCollection`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isTransient()` Indicates if this iterator may return generic features that are transient.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### isTransient

    boolean isTransient()

Indicates if this iterator may return generic features that are transient. Transient features are instances that are only valid while the iterator is positioned at the feature. This is typical behavior when dealing with ICursor implementations where the memory for the features returned is reused each time the cursor is repositioned (e.g. after a call to next the previous feature is no longer valid).

If a feature returned from an iterator or cursor is transient, which can be determined by checking the IFeature.isTransient() property, needs to be valid longer than the current position of the iterator that created it, you must make a copy of the feature. In general, the IFeature interface does not support cloning of a feature. However, the default Feature implementation in com.mapinfo.feature.impl.Feature supports a constructor that creates a Feature instance as a copy of an IFeature.

Returns:
  true if this iterator may return transient features or features with transient attribute values (e.g. transient geometries); false if all features and attributes returned by this iterator are non-transient.